Loading...
Searching...
No Matches
FitBasis.h File Reference

Fit a Basis using least-squares. More...

Go to the source code of this file.

## Classes

class | gtsam::FitBasis< Basis >
| Class that does regression via least squares Example usage: size_t N = 3; auto fit = FitBasis<Chebyshev2>(data_points, noise_model, N); Vector coefficients = fit.parameters();. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Sequence = std::map<double, double>
| Our sequence representation is a map of {x: y} values where y = f(x).
using | gtsam::Sample = std::pair<double, double>
| A sample is a key-value pair from a sequence.

## Detailed Description

Fit a Basis using least-squares.

Date
  July 4, 2020

Author
  Varun Agrawal, Frank Dellaert